---
title: "Update Customer or Supplier | Nuvio Docs"
description: "Updates an existing customer or supplier"
url: https://nuvio.io/docs/api/update-business-entity
---

# Update Customer or Supplier

PUT `/v1/business-entities/{id}`

Needs an API key with the [`update`](https://nuvio.io/docs/api/authentication#scopes) scope.

## Path parameters

-   `id` string Required

## Body parameters

-   `entityCode` string

    A unique code for this customer / supplier. Should be a unique alpha numeric string.

-   `name` string

    A short name for this customer / supplier. This will be the visible name of this business entity.

-   `isCustomer` boolean

    Should be true if this business entity is a customer.

-   `isSupplier` boolean

    Should be true if this business entity is a supplier.

-   `legalName` string

    Legal company name for this business entity that is going to be used in invoices and billing.

-   `vatNumber` string

    TaxID or VAT number of the business entity.

-   `taxOffice` string

    Registered Tax office.

-   `address` string

    Billing Address of the business entity.

-   `city` string

    City of the registered billing address.

-   `country` string

    Country of the registered billing address.

-   `district` string

    District / region of the registered billing address.

-   `state` string

    State of the registered billing address.

-   `postalCode` string

    Postal code of the registered billing address.

-   `email` string

    Contact person's email

-   `phone` string

    Company's or contact person's phone

-   `iban` string

    IBAN number of the bank account of the business entity.

## Returns

The customer or supplier as saved.

`401`

No usable `Authorization: Bearer {token}` header (1002).

`403`

The access token is unknown, or lacks the scope this route needs (1001).

PUT /v1/business-entities/{id}

```
curl -X PUT https://api.nuvio.io/v1/business-entities/7c9e6679-7425-40de-944b-e07fc1f90ae7 \
  -H "Authorization: Bearer $NUVIO_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "entityCode": "ACME-01",
    "name": "Acme Supplies",
    "isCustomer": true,
    "isSupplier": true,
    "legalName": "Acme Supplies",
    "vatNumber": "INV-2026-0042",
    "taxOffice": "string",
    "address": "100 Main Street",
    "city": "Toronto",
    "country": "string",
    "district": "string",
    "state": "string",
    "postalCode": "ACME-01",
    "email": "billing@example.com",
    "phone": "+1 555 0100",
    "iban": "string"
  }'
```

Response

```
{
  "success": true,
  "errors": null,
  "data": {
    "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "entityCode": "ACME-01",
    "name": "Acme Supplies",
    "legalName": "Acme Supplies",
    "vatNumber": "INV-2026-0042",
    "taxOffice": "string",
    "address": "100 Main Street",
    "city": "Toronto",
    "country": "string",
    "district": "string",
    "state": "string",
    "postalCode": "ACME-01",
    "email": "billing@example.com",
    "phone": "+1 555 0100",
    "iban": "string",
    "isCustomer": true,
    "isSupplier": true
  }
}
```
